package com.eactive.eai.rms.bap.manage.comm.sysinfo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("bapSysinfoDao")
@SuppressWarnings({"deprecation","unchecked"})
public class BapSysinfoDao extends SqlMapClientTemplateDao {

	public int selectListCount(HashMap<String, Object> param) throws Exception {
    	return (Integer)template.queryForObject("BapSysinfo.selectListCount", param);
    }	

	public List<Map<String, Object>> selectList(HashMap<String, Object> param) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("BapSysinfo.selectList", param);
    }	

	public HashMap<String, Object> selectDetail(HashMap<String, Object> param) throws Exception {
    	return (HashMap<String, Object>)template.queryForObject("BapSysinfo.selectDetail", param);
    }	

    public void insert(HashMap<String, Object> paramMap) throws Exception{
        this.template.insert("BapSysinfo.insert", paramMap);
    }      

    public void update(HashMap<String, Object> paramMap) throws Exception{
        this.template.update("BapSysinfo.update", paramMap);
    }

    public void delete(HashMap<String, Object> paramMap) throws Exception{
        this.template.delete("BapSysinfo.delete", paramMap);
    }
}